* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  scroll-behavior: smooth;
}

@view-transition {
  navigation: auto;
}

::view-transition-old(root),
::view-transition-new(root) {
  animation-duration: 1s;
}

body.post::view-transition-old(root),
body.post::view-transition-new(root) {
  animation-timing-function: ease-in-out;
}

body.post::view-transition-old(root) {
  animation-name: slide-out-down;
}

body.post::view-transition-new(root) {
  animation-name: slide-in-down;
}

@keyframes slide-out-down {
  from {
    opacity: 1;
    transform: translateY(0);
  }
  to {
    opacity: 0;
    transform: translateY(100%);
  }
}

@keyframes slide-in-down {
  from {
    opacity: 0;
    transform: translateY(-100%);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}


:root {
  color-scheme: light dark;
  
  --bg-primary: #25343F;
  --bg-secondary: #0e1418;
  --bg-tertiary: #000000;
  --text-primary: #f0f0f0;
  --text-secondary: rgba(255, 255, 255, 0.1);
  --accent-color: #10bb5a;
  --accent-hover: #ffffff;
  
}

@media (prefers-color-scheme: light) {
  :root {
    --bg-primary: #F1F7E9;
    --bg-secondary: #c6ddcd;
    --bg-tertiary: #dbece0;
    --text-primary: #1a1a1a;
    --text-secondary: #c6ddcd;
    --accent-color: #44675f;
    --accent-hover: #9A9A9A;
  }
}

body {
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  font-family: "Helvetica Neue", Helvetica, Arial, sans-serif;
  font-size: 14px;
  background-color: var(--bg-secondary);
  color: var(--text-primary);
}

h1 {
  font-size: 2.5rem;
  margin-bottom: 1rem;
}

h2{
  font-size: 2rem;
  margin-top: 2rem;
  margin-bottom: 1rem;
}

h3 {
  font-size: 1.5rem;
  margin-top: 2rem;
  margin-bottom: 0.5rem;
}


a {
  color: var(--accent-color);
  text-decoration: none;
}

ul {
  list-style: none;
  margin-top: 1rem;
}

p, li {
  margin-bottom: 0.5rem;
  line-height: 1.5rem;
}

.intro-section {
  padding: 5rem 8rem 7rem;
  margin: 0 auto;
  display: grid;  
  gap: 3rem;
  grid-template-columns: 4fr 3fr 3fr;
  
  .intro-copy {
    h1 {
      font-size: 1rem;
      color: var(--accent-color);
      text-transform: uppercase;
      font-weight: bold;
      margin-bottom: 0;
    }

    h2 {
      font-size: 1.5rem;
      margin-bottom: 1rem;
      text-wrap: balance;
    }
  }

  .client-blocks {
    display: block;
    
  }
}



.influence-grid {
  display: grid;
  grid-template-columns: repeat(2, 1fr);
  gap: 2rem;
}

.influence-item {
  margin-bottom: 1.5rem;
  background-color: var(--bg-secondary);
  padding: 1rem;
}


@media (min-width: 768px) {
  .influence-grid {
    grid-template-columns: repeat(7, 1fr);
  }
}

.header-container {
  display: grid;
  padding: 4rem 8rem 0;
  margin: 0 auto;

  .logotype {
    font-size: 2rem;
    font-weight: bold;
    color: var(--accent-color);
    text-decoration: none;
  }
}

.podcast-section {
  background-color: var(--bg-tertiary);
  padding: 5rem 8rem 7rem;
  display: grid;
  gap: 6rem;
  position: relative;

  @media (max-width: 1024px) {
    padding: 0rem 3rem 5rem;
  }
  
  .podcast-intro {
    width: 100%;
    max-width: 600px;
    position: sticky;
    top: 2rem;
    padding-top: 5rem;
    font-size: 0.95rem;
    line-height: 1.3rem;
    text-wrap: balance;

    .podcast-icon {
      width: 7rem;
      height: 7rem;
      filter: brightness(100%) invert(100%) grayscale(100%);
    }


    p {
      margin-bottom: 1.3rem;
      font-size: 0.9rem;
    } 

    h3 {
      margin-bottom: 1rem;
      font-size: 1.2rem;
      text-wrap: balance;
    }

    @media (max-width: 1000px) {
      position: relative;
    }
  }

  h4 {
    font-size: 1.25rem;
    margin: 3rem 0 1rem;
  }

  @media (min-width: 1024px) {
    grid-template-columns: 300px 1fr;
    align-items: start;
  }
}

.podcast-list {
  display: grid;
  grid-template-columns: repeat(1, 1fr);
  gap: 2rem;

  @media (min-width: 640px) {
    grid-template-columns: repeat(2, 1fr);
  }

  @media (min-width: 1024px) {
    grid-template-columns: repeat(2, 1fr);
  }

  @media (min-width: 1280px) {
    grid-template-columns: repeat(3, 1fr);
  }

  @media (min-width: 1536px) {
    grid-template-columns: repeat(4, 1fr);
  }
}

.stretched-link::after {
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 1;
  content: "";
}

.podcast-episode {
  background-color: var(--bg-secondary);
  padding: 2rem;
  min-height: 24rem;
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  transition: all 0.3s ease;
  border-radius: 0.5rem;
  
  overflow: hidden;

  .podcast-guest {
    z-index: 10 ;
  }

  .bbbb-icon {
    position: absolute;
    top: 2rem;
    right: 2rem;
    width: 4rem;
    height: 4rem;
    z-index: 10;
    filter: brightness(150%) invert(100%) sepia(100%) hue-rotate(180deg) brightness(150%);
    opacity: 0.6;
    transition: all 0.2s ease;
  }

  .guest-image {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    object-fit: cover;
    filter: brightness(70%);
    z-index: 0;
    mix-blend-mode: normal;
    transition: all 0.3s ease;s
    mix-blend-mode: screen;
  }  

  .season-label-text {
      font-size: 0.8rem;
      color: var(--accent-color);
      text-transform: uppercase;
      font-weight: bold;
    }

    p {
      font-size: 0.8rem;
      margin-top: 0.5rem;
      text-wrap: balance; 
      line-height: 1.2rem;
    }


  .episode-number {
    font-size: 10rem;
    color: rgba(255, 255, 255, 0.1);
    margin-bottom: 0.5rem;
    position:absolute;
    line-height: 1;
    top: 0rem;
    letter-spacing: -0.10em;
    right: 0rem;
    font-weight: 900;
    transition: all 0.5s ease;
    z-index: 10;
  }

  a {
    color: var(--accent-color);
    text-decoration: none;
  }

  .gradient-overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: linear-gradient(to top, rgba(0, 0, 0, 0.9), transparent);
    z-index: 1;
    transition: all 0.3s ease;
  }

  &:hover:not(.season-label) {
    padding-bottom: 3rem;
    transition: all 0.5s ease;
    background-color: var(--accent-color );

      .guest-image {
        scale: 1.1;
        transition: all 0.3s ease;  
        mix-blend-mode: luminosity;
      }

      a {
        color: white;
      }

      .episode-number {
        right: 2rem;
        transition: all 1s cubic-bezier(0.68, -0.55, 0.265, 1.55);
        color: rgba(255, 255, 255, 0.5);

      }

      .bbbb-icon {
        opacity: 1;
        transition: all 0.5s ease;
        right: -4rem;
      }
  }
  
  .episode-title {
    font-size: 1.1rem;
    font-weight: bold;
    margin: 0.5rem 0;
    display: block;
    text-wrap: balance;
    z-index: 10;
  }

  .episode-date {
    position: relative;
    display: block;
    font-size: 0.875rem;  
   z-index: 10;
  }
}


.season-label {
  background-color: transparent;
  border-radius: 0 !important;
  border-left: 5px solid var(--accent-color);
}

.posts-section {
  background-color: var(--bg-secondary);
  padding: 3rem 8rem 9rem;
  
  .recent-posts {
    display: grid;
    gap: 2rem;
    grid-template-columns: repeat(4, 1fr);
    
    .post-item {
  
      h3 {
        margin-bottom: 0.5rem;
        font-size: 1.2rem;
        text-wrap: balance;
      }

      .post-excerpt {
        font-size: 0.9rem;
        line-height: 1.4rem;
        text-wrap: balance;
      }
    }
  }

  @media (max-width: 1024px) {
    padding: 2rem;
    
    .recent-posts {
      grid-template-columns: repeat(2, 1fr);
    }
  }

  @media (max-width: 600px) {
    padding: 3rem;
    
    .recent-posts {
      grid-template-columns: repeat(1, 1fr);
    }
  }
}

body.post {
  background-color: var(--bg-secondary);

  p, li {
    font-size: 1rem;
    line-height: 1.7rem;
    margin-bottom: 1.7rem;
  }
}

body, body.post {
footer {
  
  margin-top: 5rem;
}
.footer-content {
  display: grid;
  padding: 2rem 8rem;
  gap: 2rem;
  grid-template-columns: repeat(2, 2fr) 2fr;

  p {
    font-size: 0.8rem;
    color: var(--accent-hover);
    opacity: 0.8;
  }
}
}

section.post-wrapper {
  display: grid;
  grid-template-columns: 6fr 2fr;
  gap: 6rem;
  padding: 2rem 8rem 5rem;
  margin: 0 auto;
  position: relative;
  align-items: start;
}

.post-content {
  margin-top: 2rem;
  max-width: 900px;
  margin:0;
  padding: 5rem 0;
  display: block;
  


  .contents-heading {
    font-size: 1rem;
    margin-bottom: 1rem;
    display: block;
    font-weight: 600;
    text-wrap: balance;
  }

  .table-of-contents {
    
    background-color: var(--bg-tertiary);
    margin-bottom: 3rem;
    border-radius: 0rem 0rem 1rem 1rem;
    padding: 2rem 2rem 3rem 2rem;
    
  }

  #toc {
    margin: 0;
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    gap: 0.5rem;

    li {
      margin-bottom: 0rem;
      font-size: 1rem;
      color: var(--accent-color);
      text-wrap: balance;
      list-style-type: none;

      a {
        color: var(--accent-color);
        text-decoration: none;
        &:hover {
          color: var(--accent-hover);
        }
      }

      i {
        margin-right: 0.5rem;
        color: var(--accent-color);
        font-size: 1rem;
      }
    }
  }

  h1 {
    font-size: 2.5rem;
    margin-bottom: 0;
    color: var(--accent-color);
    line-height: 1;
    padding: 3rem 2rem 2rem;
    background-color: var(--bg-tertiary);
    border-radius: 1rem 1rem 0 0;

    &:before {
      content: "";
      display: block;
      width: 5rem;
      height: 5px;
      background-color: var(--accent-color);
      margin-bottom: 1rem;
    }
  }

  .author-meta {
    margin-top: 3rem;
    display: block;

      p {
        font-size: 0.9rem;
        color: var(--accent-hover);
        opacity: 0.8;
        padding-right: 3rem
      }

      h4 {
        color: var(--accent-color);
        margin-bottom: 1rem;
        margin-top: 1rem;
      }
      &:before {
      content: "";
      display: block;
      width: 3rem;
      height: 3px;
      background-color: var(--accent-color);
      
      margin-bottom: 0.5rem;
    }
  }

  blockquote {
    border-left: 4px solid var(--accent-color);
    padding: 2rem 2rem 2rem 2rem;
    background-color: var(--bg-tertiary);
    margin: 3rem 0;
    border-radius: 0 0.5rem 0.5rem 0  ;
    font-style: italic;
    color: var(--accent-color);
    font-family: "Georgia", serif;
    p {
      font-size: 1.4rem;
      margin-bottom: 0;
    }
  }

  h2 {
    font-size: 1.55rem;
    margin-top: 2rem;
    margin-bottom: 1rem;
  }

  h3 {
    font-size: 1.5rem;
    margin-top: 2rem;
    margin-bottom: 0.5rem;
  }

   a {
    color: var(--accent-color);
    text-decoration: none;
   }

   ul {
    list-style: disc;
    margin-left: 1.5rem;
    margin-bottom: 1.5rem;

    li {
      margin-bottom: 0.5rem;
      text-wrap: pretty;
    }
   }

   .post-date {
        font-size: 1rem;
        color: var(--accent-color);
        padding: 0 2rem;
        display: block;
        color: var(--accent-color);
        font-weight: 900;
        background-color: var(--bg-tertiary);
   }

   .markdown {
    padding: 0 2rem;

    img {
      max-width: 100%;
      margin: 1rem 0;
      border-radius: 0.5rem;
    }
   }

   

}

.post-sidebar {
  position: sticky;
  top: 2rem;
  padding-top: 5rem;
  display: block;
  align-self: start;
  height: fit-content;

  p.post-excerpt {
    font-size: 0.9rem;
    line-height: 1.3rem;
    text-wrap: balance;
  }

  h3 {
    font-size: 1.2rem;
    margin-bottom: 1rem;
    text-wrap: balance;
  }
}

.scroll-section {
  height: 100vh;
  overflow-y: scroll;
  scroll-snap-type: y mandatory;
  scroll-behavior: smooth;
  position: relative;
  
}

.scroll-container {
  display: block;
  
}

.scroll-panel {
  height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center;
  scroll-snap-align: start;
  scroll-snap-stop: always;
  padding: 2rem 8rem;

  &:nth-child(odd) {
    background-color: var(--bg-secondary);
  }

    &:nth-child(even) {
      background-color: var(--bg-tertiary);
    }
}

.panel-content {
  max-width: 1400px;
  display: grid;
  gap: 6rem;
  grid-template-columns: 2fr 4fr;

  .panel-heading {
    font-size: 2rem;
    color: var(--accent-color);
    text-wrap: balance;

    h2 {
      margin:0;
    }
  }

  .panel-description {
    font-size: 1rem;
    line-height: 1.5rem;
    text-wrap: balance;

    ul {
      list-style: disc;
      margin-left: 1.5rem;
      margin-top: 1rem;

      li {
        margin-bottom: 0.5rem;
        text-wrap: pretty;
      }
    }
  }
}


.home .header-container {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  z-index: 100;
  background-color: transparent;
}



.about-section {
  padding: 5rem 8rem;
  display: grid;
  gap: 6rem;
  grid-template-columns: 1fr 4fr;
  position: relative;

   @media (max-width: 1024px) {
    padding: 2rem;
    grid-template-columns: 1fr;
  }

  .about-content {
    position: sticky;
    top: 2rem;
  }

  .positions-section {

    h4 {
      font-size: 1.25rem;
      margin-bottom: 0.5rem;
    }

    p{
      text-wrap: balance;
    }

    .positions-list {
      display: grid;
      margin-bottom: 2rem;
      gap: 2rem;
      grid-template-columns: repeat(auto-fit, minmax(270px, 1fr));

      .position-date, .position-title, .position-role {
        line-height: 1.5rem;
      }

      .position-date {
        text-transform: uppercase;
        font-size: 0.8rem;
        
        font-weight: 600;
      }

      .position-title {
        display: block;
        font-weight: 600;
        text-wrap: balance;
        font-size: 1.2rem;
        margin: 0.5rem 0 0;
      }

      .position-title + p {
        margin-top: 0.5rem;
      }

      .position-role {
        display: block;
        font-size: 1.2rem;
        text-wrap: balance;
        margin-bottom: 0.5rem
        
      }
    }
  }
}




.clients-section {
  padding: 5rem 8rem;

  .clients-panel {
    display: grid;
    grid-template-columns: 1fr 4fr;
    gap: 8rem;

    .client-list {
      display: grid;
      grid-template-columns: repeat(auto-fit, minmax(225px, 1fr));
      gap: 1rem;
      margin-top: 2rem;

      dl.client-item {
        margin-bottom: 1rem;
        
        dt {
          font-size: 1rem;
          font-weight: bold;
          color: var(--accent-color);
          margin-bottom: 0.5rem;
          font-size: 0.9rem;
        }

        dd {
          line-height: 1.2rem;
          font-size: 0.9rem;
          color: var(--text-primary);
          margin: 0;
          &:before {
            content: "\2014";
            margin-right: 0.5rem;
            
          }
        }
      }
    }
  }
}



 